%define modname yaz
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 64_%{modname}.ini

Summary:	A Z39.50 client for PHP
Name:		php-%{modname}
Version:	1.0.14
Release:	%mkrel 3
License:	PHP License
Group:		Development/PHP
URL:		http://pecl.php.net/package/yaz
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
# http://indexdata.dk/phpyaz/demo/mult.phps
Source2:	mult.php
Patch0:		yaz-antibork.diff
BuildRequires:	php-devel >= 3:5.2.2
BuildRequires:	yaz-devel >= 3.0.0
BuildRequires:	libicu-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libpth-devel
BuildRequires:	tcp_wrappers-devel 
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This extension implements a Z39.50 client for PHP using the YAZ toolkit.

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%patch0 -p0

cp %{SOURCE1} %{inifile}
cp %{SOURCE2} mult.php

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README mult.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.14-3mdv2009.0
+ Revision: 238475
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.14-2mdv2009.0
+ Revision: 200311
- rebuilt for php-5.2.6

* Thu Feb 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.14-1mdv2008.1
+ Revision: 173480
- 1.0.14
- bump release
- add more build requires

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.13-4mdv2008.1
+ Revision: 162314
- fix deps (libicu-devel)
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.13-3mdv2008.1
+ Revision: 107743
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.13-2mdv2008.0
+ Revision: 77589
- rebuilt against php-5.2.4

* Fri Jul 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.13-1mdv2008.0
+ Revision: 49056
- 1.0.13

* Sun Jun 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.12-1mdv2008.0
+ Revision: 40490
- 1.0.12

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.11-2mdv2008.0
+ Revision: 39533
- use distro conditional -fstack-protector

* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.11-1mdv2008.0
+ Revision: 36523
- 1.0.11

* Sun Jun 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.10-2mdv2008.0
+ Revision: 34811
- rediffed P0
- rebuilt against new upstream version (5.2.3)
- 1.0.10

* Tue May 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-1mdv2008.0
+ Revision: 25053
- 1.0.9
- rediffed P0
- fix deps

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-4mdv2008.0
+ Revision: 21367
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-3mdv2007.0
+ Revision: 117640
- rebuilt against new upstream version (5.2.1)

* Thu Dec 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-2mdv2007.1
+ Revision: 102265
- rebuilt against the yaz-2.1.42 libs

* Wed Dec 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-1mdv2007.1
+ Revision: 102141
- 1.0.8

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-6mdv2007.0
+ Revision: 78395
- fix deps
- bunzip patches and sources
- rebuilt for php-5.2.0
- Import php-yaz

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-4
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-3mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdk
- rebuilt for php-5.1.3

* Sat Mar 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1mdk
- 1.0.7

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.6-3mdk
- rebuilt against php-5.1.2

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.6-2mdk
- rebuild

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.6-1mdk
- 1.0.6

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.5-1mdk
- 1.0.5

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.4-1mdk
- 1.0.4
- rebuilt against php-5.1.0
- fix versioning

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.0.2-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_1.0.2-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Fri May 27 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0.2-1mdk
- rename the package

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.0.2-1mdk
- 5.0.4
- added P0 to make it compile again

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0.2-3mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0.2-2mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0.2-1mdk
- 1.0.2
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.0.1-1mdk
- rebuilt for php-5.0.3

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 5.0.2_1.0.1-2mdk
- Buildrequires

* Sat Sep 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.0.1-1mdk
- rebuilt for php-5.0.2

* Sun Aug 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_1.0.1-1mdk
- rebuilt for php-5.0.1

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0_1.0.1-1mdk
- rebuilt for php-5.0.0
- major cleanups

* Thu Jul 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0.1-1mdk
- rebuilt for php-4.3.8

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.1-2mdk
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.1-1mdk
- rebuilt for php-4.3.7

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0.1-1mdk
- initial cooker contrib
- added S2

